/* -*- C++ -*- */
// POSIX_CB_Proactor.cpp,v 4.6 2002/11/23 22:55:03 shuston Exp

#include "TProactor/POSIX_CB_Proactor.h"

#if (defined (ACE_HAS_AIO_CALLS) || defined(ACE_HAS_AIO_EMULATION)) 
//&& !defined(__sun) && !defined(__Lynx__)


TRB_POSIX_CB_Proactor::TRB_POSIX_CB_Proactor (size_t max_op)
  : TRB_POSIX_Proactor 
      (TRB_POSIX_AIO_Config (max_op,
                             TRB_POSIX_AIO_Config::PCT_SHARED,
                             TRB_POSIX_AIO_Config::PCF_ZERO,
                             TRB_POSIX_AIO_Config::PVT_POSIX,
                             TRB_POSIX_AIO_Config::PVF_AIO_START_ANY_THREAD,
                             TRB_POSIX_AIO_Config::WST_SGI,
                             ACE_SIGRTMIN,
                             TRB_POSIX_AIO_Config::IST_SGI,
                             SIGUSR1),
       TRB_POSIX_AIO_Config (max_op,
                             TRB_POSIX_AIO_Config::PCT_DEDICATED,
                             TRB_POSIX_AIO_Config::PCF_ZERO,
                             TRB_POSIX_AIO_Config::PVT_SELECT,
                             TRB_POSIX_AIO_Config::PVF_AIO_START_ANY_THREAD |
                             TRB_POSIX_AIO_Config::PVF_AIO_START_INTERRUPT_WAIT,
                             TRB_POSIX_AIO_Config::WST_DEFAULT,
                             ACE_SIGRTMIN,
                             TRB_POSIX_AIO_Config::IST_DEFAULT,
                             SIGUSR1))
{
  ;
}


#endif /* ACE_HAS_AIO_CALLS && !__sun && !__Lynx__ */
