/* -*- C++ -*- */

//=============================================================================
/**
 *  @file    POSIX_CB_Proactor.h
 *
 *  POSIX_CB_Proactor.h,v 4.6 2002/12/06 03:20:24 shuston Exp
 *
 *  @author Alexander Libman <libman@terabit.com.au>
 */
//=============================================================================

#ifndef TRB_POSIX_CB_PROACTOR_H 
#define TRB_POSIX_CB_PROACTOR_H 

#include "TProactor/POSIX_Proactor.h"

#if (defined (ACE_HAS_AIO_CALLS) || defined(ACE_HAS_AIO_EMULATION)) 
//&& !defined(__sun) && !defined(__Lynx__)

/**
 * @class TRB_POSIX_CB_Proactor
 *
 * @brief Implementation of Callback-based Proactor
 * };
 */
class TPROACTOR_Export TRB_POSIX_CB_Proactor: public TRB_POSIX_Proactor 
{
public:
  TRB_POSIX_CB_Proactor (size_t max_op = ACE_AIO_DEFAULT_SIZE);
};


#endif /* ACE_HAS_AIO_CALLS && !__sun && !__Lynx__ */
#endif //TRB_POSIX_CB_PROACTOR_H 
