/* -*- C++ -*- */
// SUN_Proactor.cpp,v 4.21 2002/11/13 22:42:47 shuston Exp

#include "TProactor/SUN_Proactor.h"

#if defined (ACE_HAS_AIO_CALLS) || defined(ACE_HAS_AIO_EMULATION)

TRB_SUN_Proactor::TRB_SUN_Proactor (size_t max_op,
                                    int sig_num,
                                    int leader_type,
                                    int start_aio_type)
  : TRB_POSIX_Proactor 
      (TRB_POSIX_AIO_Config (max_op,
                             (leader_type != 0)
                               ? TRB_POSIX_AIO_Config::PCT_DEDICATED
                               : TRB_POSIX_AIO_Config::PCT_SHARED,
                             TRB_POSIX_AIO_Config::PCF_ZERO,
                             TRB_POSIX_AIO_Config::PVT_SUN,
                             (start_aio_type != 0)
                               ?  TRB_POSIX_AIO_Config::PVF_AIO_START_ANY_THREAD 
                               :  0,
                             TRB_POSIX_AIO_Config::WST_DEFAULT,
                             ACE_SIGRTMIN,
                             (sig_num == 0) 
                               ? TRB_POSIX_AIO_Config::IST_PIPE
                               : TRB_POSIX_AIO_Config::IST_SIGNAL,
                             sig_num),
       TRB_POSIX_AIO_Config (max_op,
                             TRB_POSIX_AIO_Config::PCT_DEDICATED,
                             TRB_POSIX_AIO_Config::PCF_ZERO,
                             TRB_POSIX_AIO_Config::PVT_SELECT,
                             TRB_POSIX_AIO_Config::PVF_AIO_START_ANY_THREAD |
                             TRB_POSIX_AIO_Config::PVF_AIO_START_INTERRUPT_WAIT,
                             TRB_POSIX_AIO_Config::WST_DEFAULT,
                             ACE_SIGRTMIN,
                             (sig_num == 0)
                               ? TRB_POSIX_AIO_Config::IST_PIPE
                               : TRB_POSIX_AIO_Config::IST_SIGNAL,
                             sig_num))
{
  ;
}

#endif /* ACE_HAS_AIO_CALLS || ACE_HAS_AIO_EMULATION */
